> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geekai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# 通义万相2.1

通义万相2.1视频生成模型支持文字生成视频、图片生成视频（基于首帧或首尾帧）新视频等多种模式，满足不同场景需求。提供高质量的视频生成效果，确保视频内容的丰富性和连贯性。
wanx2.1-t2v-turbo生成速度更快，适合快速生成视频，wanx2.1-t2v-plus视频质量更高，支持大幅度复杂运动、物理规律遵循、丰富艺术风格和影视级画面质感。 wanx2.1-i2v-plus
支持复杂运动还原与影视质感优化，适合对视频质量要求高的场景,兼容特定视频特效。wanx2.1-i2v-turbo为性价比更高的正式商用版本。

### 模型参数

* 模型ID：`wanx2.1-t2v-plus`/`wanx2.1-t2v-turbo`/`wanx2.1-i2v-plus`/`wanx2.1-i2v-turbo`/`wanx2.1-kf2v-plus`
* 模型价格：你可以在[模型广场](https://geekai.co/models?platform=dashscope\&type=video)查看最新价格信息
* 调用入口：`https://geekai.co/api/v1/videos/generations`
* 模型参数：参考[视频 API 手册](https://docs.geekai.co/cn/api/video/generations)
* API认证：[获取 API KEY](https://docs.geekai.co/cn/docs/quick_start)

<Note>
  不支持视频 API 中的以下参数：

  * `with_audio`
  * `aspect_ratio`
  * `quality`
  * `fps`

  附：[万相2.1 官方 API 文档](https://help.aliyun.com/zh/model-studio/use-video-generation)
</Note>

指定生成的视频分辨率可通过`size`参数，格式为宽x高

480P档位:

| 宽高比  | 分辨率     |
| ---- | ------- |
| 1:1  | 624x624 |
| 9:16 | 480x832 |
| 16:9 | 832x480 |

720P档位:

| 宽高比  | 分辨率      |
| ---- | -------- |
| 1:1  | 960x960  |
| 4:3  | 1088x832 |
| 3:4  | 832x1088 |
| 16:9 | 1280x720 |
| 9:16 | 720x1280 |

1080P档位:

| 宽高比  | 分辨率       |
| ---- | --------- |
| 1:1  | 1440x1440 |
| 4:3  | 1632x1248 |
| 3:4  | 1248x1632 |
| 16:9 | 1920x1080 |
| 9:16 | 1080x1920 |

### 文生视频

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"wanx2.1-t2v-plus",
    "prompt":"一只小猫在月光下奔跑",
    "negative_prompt": "花朵"
}'
```

响应是一个 JSON 对象，包含生成视频的 URL：

```json theme={null}
{
    "model": "wanx2.1-t2v-plus",
    "task_id": "d2e29377-e3a5-42ad-a8bc-f46ed241b01a",
    "task_status": "succeed",
    "video_result": [
        {
            "id": "094442e7-2be3-4cdd-b503-ecd4fde6912f",
            "url": "https://static.geekai.co/video/2026/02/05/e994125fccf62188d1d23d5ad69ad31b.mp4"
        }
    ]
}
```

下面图生视频生成响应结构是一样的，不再列举。

### 图生视频

**首尾帧**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"wanx2.1-kf2v-plus",
    "prompt": "写实风格，一只黑色小猫好奇地看向天空，镜头从平视逐渐上升，最后俯拍它的好奇的眼神。",
    "image":"https://wanx.alicdn.com/material/20250318/first_frame.png",
    "image_tail":"https://wanx.alicdn.com/material/20250318/last_frame.png",
    "resolution": "720P",
    "watermark": false
}'
```

<Note>`wanx2.1-kf2v-plus`的`resolution` 可选值：`720P`，同样也支持 Base64 编码数据，只需在`image`和`image_tail`填入即可</Note>

支持特效模板生成视频：

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"wanx2.1-kf2v-plus",
    "prompt": "根据特效生成视频",
    "image":"https://ty-yuanfang.oss-cn-hangzhou.aliyuncs.com/lizhengjia.lzj/tmp/11.png",
    "resolution": "720P",
    "watermark": false,
    "extra_body": {
        "template": "hanfu-1"
    }
}'
```

**首帧**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"wanx2.1-i2v-plus",
    "prompt": "一只猫在草地上奔跑",
    "image":"https://cdn.translate.alibaba.com/r/wanx-demo-1.png",
    "resolution": "720P",
    "watermark": true
}'
```

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"wanx2.1-i2v-turbo",
    "prompt": "一只猫在草地上奔跑",
    "image":"https://cdn.translate.alibaba.com/r/wanx-demo-1.png",
    "resolution": "480P",
    "duration": 4,
    "watermark": false
}'
```

<Note>`wanx2.1-i2v-turbo`：`resolution`可选值：480P、720P, `wanx2.1-i2v-plus`：`resolution`可选值：720P,
`wanx2.1-i2v-turbo`可以支持  `duration`的值为3、4、5。同样也支持 Base64 编码数据，只需在`image`填入即可</Note>
